List packages
curl --request GET \
--url https://api.anchorage-staging.com/v2/collateral_management/packages \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/collateral_management/packages"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/collateral_management/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"active": true,
"clientReferenceId": "<string>",
"collateralAssets": [
{
"asset": {
"assetType": "<string>",
"type": "ANCHORAGECUSTODY"
},
"weight": "<string>",
"price": "<string>",
"quantity": "<string>",
"weightedValue": "<string>"
}
],
"critical": {
"action": "NONE",
"defaultNotice": true,
"ltv": "<string>",
"returnToLtv": "<string>",
"warningLtv": "<string>"
},
"packageId": "<string>",
"pledgorId": "<string>",
"securedPartyId": "<string>",
"acceleratedMarginCall": {
"action": "NONE",
"curePeriod": "<string>",
"ltv": "<string>"
},
"currentLtv": "<string>",
"exposureValue": "<string>",
"ltvTimestamp": "<string>",
"marginCall": {
"action": "NONE",
"curePeriod": "<string>",
"curePeriodProtection": true,
"ltv": "<string>",
"returnToLtv": "<string>",
"topUpType": "LTV",
"warningLtv": "<string>"
},
"marginReturn": {
"action": "NONE",
"ltv": "<string>",
"returnToLtv": "<string>"
},
"packageValue": "<string>",
"state": "MARGIN_RETURN"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List packages
Permissions required: Read vault activity
Get collateral packages.
GET
/
collateral_management
/
packages
List packages
curl --request GET \
--url https://api.anchorage-staging.com/v2/collateral_management/packages \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/collateral_management/packages"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/collateral_management/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"active": true,
"clientReferenceId": "<string>",
"collateralAssets": [
{
"asset": {
"assetType": "<string>",
"type": "ANCHORAGECUSTODY"
},
"weight": "<string>",
"price": "<string>",
"quantity": "<string>",
"weightedValue": "<string>"
}
],
"critical": {
"action": "NONE",
"defaultNotice": true,
"ltv": "<string>",
"returnToLtv": "<string>",
"warningLtv": "<string>"
},
"packageId": "<string>",
"pledgorId": "<string>",
"securedPartyId": "<string>",
"acceleratedMarginCall": {
"action": "NONE",
"curePeriod": "<string>",
"ltv": "<string>"
},
"currentLtv": "<string>",
"exposureValue": "<string>",
"ltvTimestamp": "<string>",
"marginCall": {
"action": "NONE",
"curePeriod": "<string>",
"curePeriodProtection": true,
"ltv": "<string>",
"returnToLtv": "<string>",
"topUpType": "LTV",
"warningLtv": "<string>"
},
"marginReturn": {
"action": "NONE",
"ltv": "<string>",
"returnToLtv": "<string>"
},
"packageValue": "<string>",
"state": "MARGIN_RETURN"
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
Minimum string length:
1Maximum number of results to return per query
Required range:
1 <= x <= 100Was this page helpful?